<script>
    export default {
        data() {
            return {
                count:0
            }
        },
        watch: {
            count(newCount) {
                console.log(`new count is ${newCount}`);
            }
        }
    }

</script>
<template>
    <p>I am the Watcher</p>
    <button v-on:click="count++">Increase</button>
    
</template>
